Subject: bug#17522: diff-mode frustrates attempt to correct corrupted diff file.

From: Stefan Monnier <[email-masked]>
Date: Tue, 20 May 2014 09:54:02 -0400

>     @@ -3155,0 +3160,0 @

> .  This is surely a bug.  The workaround seems to be to use Fundamental
> Mode.

Maybe not a bug, but a misfeature: the ",0" is probably because the first
line after the @...@ is empty, which normally "can't" be part of a hunk,
so this empty line is taken as an "end of hunk".
If you add a space on that line, the count should be updated again and
start looking more sane.

        Stefan